Bug 235882 (CVE-2007-1856) - CVE-2007-1856 crontab denial of service
Summary: CVE-2007-1856 crontab denial of service
Status: CLOSED CURRENTRELEASE
Alias: CVE-2007-1856
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Reopened, Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 16:54 UTC by Josh Bressers
Modified: 2018-08-15 22:29 UTC (History)
0 users

Fixed In Version: vixie-cron-4.1-69
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 07:17:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2007-04-10 16:54:09 UTC
+++ This bug was initially created as a clone of Bug #235880 +++

Raphael Marichez of Gentoo reported a denial of service flaw in vixie-cron.

By creating a hardlink to /etc/crontab, cron will stop executing the
/etc/crontab file and deposit an error message in /var/log/cron.

This can be easily tested by running:
ln /etc/crontab /tmp/crontab
tail -f /var/log/cron


Here is the patch from Open Wall Linux:
http://cvsweb.openwall.com/cgi/cvsweb.cgi/~checkout~/Owl/packages/vixie-cron/vixie-cron-4.1.20060426-owl-st_nlink.diff?rev=1.1;content-type=text%2Fplain

This flaw also affects FC5

Comment 1 Marcela Mašláňová 2007-04-10 21:02:18 UTC
Thanks for patch. Fixed in vixie-cron-4.1-81

Comment 2 Lubomir Kundrak 2007-08-02 12:34:40 UTC
Reopening, as this is an unfixed security issue.
Marcela: please push the fixed version into FC6.

Comment 3 Marcela Mašláňová 2007-08-06 07:17:13 UTC
Fixed in update vixie-cron-4.1-69.


Note You need to log in before you can comment on or make changes to this bug.